textures/zenby/sky01
{
	qer_editorImage "textures/zenby/sky01.jpg"
	surfaceParm noImpact
	surfaceParm noLightmap
	q3map_globalTexture
      //q3map_lightSubdivide 256
        q3map_surfaceLight 350
	surfaceParm sky
	q3map_sun 1 1 0.5 550 30 860
	skyParms "full" 512 -
	{
		map "textures/zenby/sky01.jpg"
		tcMod scroll 0.05 0.05
		tcMod scale 3 2
	}
	{
		map "textures/zenby/sky01.jpg"
		blendFunc add
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
	}
}
textures/zenby/sky02
{
	qer_editorImage "textures/zenby/sky02.jpg"
	surfaceParm noImpact
	surfaceParm noLightmap
	q3map_globalTexture
      //q3map_lightSubdivide 256
        q3map_surfaceLight 1000
	surfaceParm sky
	q3map_sun 1 1 0.5 550 30 860
	skyParms "full" 512 -
	{
		map "textures/zenby/sky02.jpg"
		tcMod scroll 0.05 0.05
		tcMod scale 3 2
	}
	{
		map "textures/zenby/sky02.jpg"
		blendFunc add
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
	}
}

textures/zenby/flame1
{
	
	surfaceparm nomarks
    surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 4000
	

	{
		animMap 10 textures/zenby/flame1.tga textures/zenby/flame2.tga textures/zenby/flame3.tga textures/zenby/flame4.tga textures/zenby/flame5.tga textures/zenby/flame6.tga textures/zenby/flame7.tga textures/zenby/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/zenby/flame2.tga textures/zenby/flame3.tga textures/zenby/flame4.tga textures/zenby/flame5.tga textures/zenby/flame6.tga textures/zenby/flame7.tga textures/zenby/flame8.tga textures/zenby/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/zenby/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/zenby/galben
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/galben_blend.tga
	qer_editorimage textures/zenby/galben.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/galben.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/galben_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/zenby/rosu
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/rosu_blend.tga
	qer_editorimage textures/zenby/rosu.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/rosu.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/rosu_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/zenby/zenby
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/wall_zenby_light.tga
	qer_editorimage textures/zenby/wall_zenby.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/wall_zenby.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/wall_zenby_light.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/zenby/logo
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/wall_logo_light.tga
	qer_editorimage textures/zenby/wall_logo.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/wall_logo.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/wall_logo_light.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/zenby/rfa
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/wall_rfa_light.tga
	qer_editorimage textures/zenby/wall_rfa.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/wall_rfa.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/wall_rfa_light.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/zenby/rabbit
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/wall_rabbit_light.tga
	qer_editorimage textures/zenby/wall_rabbit.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/wall_rabbit.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/wall_rabbit_light.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/zenby/verde
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/verde_blend.tga
	qer_editorimage textures/zenby/verde.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/verde.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/verde_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/zenby/gren_2
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 4000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/gren_2_blend.tga
	qer_editorimage textures/zenby/gren_2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/gren_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/gren_2_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/zenby/albastru
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/albastru_blend.tga
	qer_editorimage textures/zenby/albastru.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/albastru.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/albastru_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/zenby/alb
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/alb_blend.tga
	qer_editorimage textures/zenby/alb.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/alb.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/alb_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/zenby/mov
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/mov_blend.tga
	qer_editorimage textures/zenby/mov.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/mov.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/mov_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
/////////////////////////////////////////////////////////
textures/zenby/u_lamp5
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/u_lamp5_glow.tga
	qer_editorimage textures/zenby/u_lamp5.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/u_lamp5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/u_lamp5_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/zenby/u_lamp5_blue
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/u_lamp5_blue_glow.tga
	qer_editorimage textures/zenby/u_lamp5_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/u_lamp5_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/u_lamp5_blue_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/zenby/u_lamp7
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 4000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/u_lamp7_glow.tga
	qer_editorimage textures/zenby/u_lamp7.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/u_lamp7.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/u_lamp7_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/zenby/u_lamplong1_blue
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 4000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/u_lamplong1_blue_glow.tga
	qer_editorimage textures/zenby/u_lamplong1_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/u_lamplong1_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/u_lamplong1_blue_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/zenby/u_lamplong1_or
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 4000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/u_lamplong1_or_glow.tga
	qer_editorimage textures/zenby/u_lamplong1_or.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/u_lamplong1_or.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/u_lamplong1_or_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/zenby/u_trlight3_blue
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 4000
	q3map_lightsubdivide 32
	q3map_lightimage textures/zenby/u_trlight3_blue_glow.tga
	qer_editorimage textures/zenby/u_trlight3_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/zenby/u_trlight3_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/zenby/u_trlight3_blue_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

// Water Script
textures/zenby/water01
{
	qer_editorimage textures/zenby/hq_water_a.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	tessSize 64
	cull disable
	deformVertexes wave 256 sin 0.5 1.75 .5 .5
	{
		map textures/zenby/hq_water_a.jpg
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcMod scroll -.010 .05
		}
		{
			map textures/zenby/hq_water_b.jpg
			blendFunc GL_DST_COLOR GL_ONE
			rgbGen identity
			tcMod scroll .05 -.010
		}
		{
			map textures/zenby/hq_water_c.jpg
			blendFunc GL_DST_COLOR GL_ONE
			rgbGen identity
			tcMod scroll -.05 .010
		}
		{
			map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbgen identity
		}
}

textures/zenby/glass_shiny
{
	qer_editorimage textures/zenby/tinfx.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodamage
	cull none
	{
		map textures/zenby/tinfx.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

textures/zenby/hollow_shiny
{	
	qer_editorimage textures/zenby/tinfx.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm detail
	surfaceparm nonsolid
	{
		map textures/zenby/tinfx.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

textures/zenby/glass_clear
{
	qer_editorimage textures/zenby/white.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodamage
	cull none
	{	
		map textures/zenby/white.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.1 0.1 0.1 )
	}
}

textures/zenby/hollow_clear
{	
	qer_editorimage textures/zenby/white.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm detail
	surfaceparm nonsolid
	cull none
	{	
		map textures/zenby/white.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.1 0.1 0.1 )
	}
}